//
// Portable Integrity Protection (PIP) System -
// Copyright (C) 2015 Secure Systems Laboratory, Stony Brook University
//
// This file is part of Portable Integrity Protection (PIP) System.
//
// Portable Integrity Protection (PIP) System is free software: you can
// redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Portable Integrity Protection (PIP) System is distributed in the hope that it
// will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Portable Integrity Protection (PIP) System.  If not, see
// <http://www.gnu.org/licenses/>.
//


#include "ppi_helperConnection.h"
#include "ppi_calls.h"
#include "ppi_debug.h"
#include "ppi_utils.h"
#include "ppi_level.h"
#include "ppi_redirect.h"

//#include <winternl.h>
/*
ppi_winapi_prologue(NtOpenDirectoryObject, NTSTATUS, 3,
  _Out_  PHANDLE, DirectoryHandle,
  _In_   ACCESS_MASK, DesiredAccess,
  _In_   POBJECT_ATTRIBUTES, ObjectAttributes
)

	goto call_original_and_return;
	NTSTATUS result;
	PPI_CRITICAL("============ CALLED Function is used??? ==================");

	result = ppi_callOriginal(NtOpenDirectoryObject, DirectoryHandle, DesiredAccess, ObjectAttributes);

	if (result == STATUS_ACCESS_DENIED) {
		
		ppi_pkt_prepare_packets(NtOpenDirectoryObject, pkt, response);
			
		pkt.DesiredAccess = DesiredAccess;
		ppi_pkt_packObjectAttributes(ObjectAttributes, pkt);
			
		if (ppi_helper_sendRecvCorrectly(pkt, response)) {
			result = response.l_rv;
			if (response.l_rv == STATUS_SUCCESS) {
				*DirectoryHandle = response.DirectoryHandle;
				PPI_CRITICAL("Helper returned a directory handle");
			} else {
				PPI_INFO("Helper also failed to open directory with unknown error: status code: %Xh", response.l_rv);
			}
		} else {
			PPI_ERROR("Failed to send and receive from helper correctly");
		}
	}

ppi_winapi_epilogue(NtOpenDirectoryObject, result)
*/
