//
// Portable Integrity Protection (PIP) System -
// Copyright (C) 2015 Secure Systems Laboratory, Stony Brook University
//
// This file is part of Portable Integrity Protection (PIP) System.
//
// Portable Integrity Protection (PIP) System is free software: you can
// redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Portable Integrity Protection (PIP) System is distributed in the hope that it
// will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Portable Integrity Protection (PIP) System.  If not, see
// <http://www.gnu.org/licenses/>.
//

// tester.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <UserEnv.h>
#include <list>


using namespace std;

#pragma comment(lib, "userenv.lib")
#pragma comment(lib, "user32.lib")

void aaa() {
	MessageBox(NULL, L"Hello", L"Hello", MB_OK);
}

#define PRINT_ERROR(format, ...) _tprintf(format TEXT("\r\n"), __VA_ARGS__)
#define PRINT_INFO(format, ...) _tprintf(format TEXT("\r\n"), __VA_ARGS__)

#define realUserProfilePath _T("C:\\Users\\Ubuntu\\")

int _tmain(int argc, _TCHAR* argv[])
{
	int rv = -1;

	if (argc > 100)
		aaa();
	
	HANDLE fileHandle;
	fileHandle = CreateFile(_T("C:\\Windows\\System32\\Tasks\\Microsoft\\Windows\\CertificateServicesClient\\UserTask-Roam"), FILE_APPEND_DATA|FILE_READ_DATA, FILE_SHARE_READ, NULL, OPEN_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL);
	if (fileHandle == INVALID_HANDLE_VALUE) {
		PRINT_ERROR(TEXT("Failed to open system file handle with error: %x"), GetLastError());
		goto next0;
	}
	PRINT_INFO(TEXT("system File opened successfully"));
	CloseHandle(fileHandle);

next0:


	//HANDLE fileHandle;
	fileHandle = CreateFile(realUserProfilePath _T("Desktop\\aaaaaa.txt"), FILE_APPEND_DATA|FILE_READ_DATA, FILE_SHARE_READ, NULL, OPEN_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL);
	if (fileHandle == INVALID_HANDLE_VALUE) {
		PRINT_ERROR(TEXT("Failed to open file handle with error: %x"), GetLastError());
		goto next1;
	}
	PRINT_INFO(TEXT("File opened successfully"));
	DWORD byteWritten;
	if (FALSE == WriteFile(fileHandle, "DDDDDDDDDDDD", 10, &byteWritten, NULL)) {
		PRINT_INFO(TEXT("Failed to write to the file"));
	} else {
		PRINT_INFO(TEXT("Write to file is successful"));
	}
	CloseHandle(fileHandle);

next1:
	PRINT_INFO(TEXT("\nFindFile\n"));
	WIN32_FIND_DATA ffd;
	HANDLE hFind = FindFirstFile(realUserProfilePath _T("Desktop\\*"), &ffd);

	if (INVALID_HANDLE_VALUE == hFind) {
		PRINT_ERROR(TEXT("Cannot call Find First File"));
		goto next2;
	}

	do {
		if (ffd.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY) {
			PRINT_INFO(TEXT("Directory: %s"), ffd.cFileName);
		} else {
			PRINT_INFO(TEXT("File: %s"), ffd.cFileName);
		}
	} while (FindNextFile(hFind, &ffd) != 0);

	DWORD errorCode = GetLastError();
	if (errorCode != ERROR_NO_MORE_FILES) {
		PRINT_ERROR(TEXT("Find next file error: %d"), errorCode);
	}

	FindClose(hFind);



next2:

	PRINT_INFO(TEXT("Stage 3"));

#define ppi_bm_path_malloc() (wchar_t *)malloc(4096)

	//HANDLE directoryHandle = CreateFile( _T("C:\\pip-windows\\ppi_detour2\\ppi_detour2\\Debug"), SYNCHRONIZE|FILE_LIST_DIRECTORY|FILE_READ_ATTRIBUTES, FILE_SHARE_READ|FILE_SHARE_WRITE|FILE_SHARE_DELETE, NULL, OPEN_EXISTING, FILE_ATTRIBUTE_DIRECTORY|FILE_FLAG_BACKUP_SEMANTICS, NULL);
		
	list<wchar_t *> arguments_;

	enum STATE {INQUOTE, NONQUOTE};
	STATE s = NONQUOTE;

#define END_CURRENT_AND_CREATE_NEW \
	do {\
		if (curFillingIdx == 0) \
			break; \
		curArg[curFillingIdx++] = L'\0'; \
		curArg = ppi_bm_path_malloc(); \
		arguments_.push_back(curArg); \
		curFillingIdx = 0; \
		curArg[curFillingIdx] = L'\0'; \
	} while (0)


	const wchar_t *commandLine_ = L"\"C:\\Program Files\\Microsoft SDKs\\Windows\\v7.0A\\bin\\NETFX 4.0 Tools\\Tracker.exe\" @\"C:\\Users\\Ubuntu\\AppData\\Local\\Temp\\5df46961bfb5429fb0e311c799045011.tmp\" /c \"C:\\Program Files\\Microsoft Visual Studio 10.0\\VC\\bin\\CL.exe\"  @\"C:\\Users\\Ubuntu\\AppData\\Local\\Temp\\tmp77a2148380ea4a9d908bbec8790b84e4.rsp\"";
	int idx = 0;
	int curFillingIdx = 0;
	wchar_t *curArg = ppi_bm_path_malloc();
	arguments_.push_back(curArg);
	int quoteCount = 0;
	while (commandLine_[idx] != L'\0') {
		switch(commandLine_[idx]) {
		case ' ':
			if (s == NONQUOTE) {
				END_CURRENT_AND_CREATE_NEW;
			} else
				curArg[curFillingIdx++] = commandLine_[idx];
			break;
		case '\"':
			END_CURRENT_AND_CREATE_NEW;
			s = (STATE)((s+1)%2);
			break;
		default:
			curArg[curFillingIdx++] = commandLine_[idx];
		}
		idx++;
	}

	for (list<wchar_t *>::iterator it=arguments_.begin(); it != arguments_.end(); ++it) {
		PRINT_INFO(TEXT("%ls"), *it);
	}




out:
	return rv;
}

